## profile/logo2cgats

### Summary

Convert Gretag/Logo or X-Rite ColorPort format RGB or CMYK test chart results into Argyll .ti3 CGATS format.

### Usage Summary

logo2gcats [-v] [-l limit] [-d] [devfile] infile [specfile] outfile
-2 create a dummy .ti2 file as well.
-l limit set ink limit, 0 - 400% (default max in file)
-d Set type of device as Display, not Output
[devfile] Input Device CMYK target file (typically file.txt)
infile Input CIE, Spectral or Device & Spectral file (typically file.txt)
[specfile] Input Spectral file (typically file.txt)
outbasefile Base name for output.ti3 and .ti2 file

### Usage Details and Discussion

logo2CGATS takes the Gretag/Logo, or X-Rite ColorPort test chart results, and converts them into Argyll .ti3 CGATS files.
It is quite common to find profile test chart data from various standards bodies and industry organizations in one of these formats, so it is useful to be able to convert them for use with Argyll. ICC profiles created using Gretag Profile Maker also commonly contain the test chart results embedded in the profile, inside an ICC tag.
A variety of different packaging of Gretag/Logo data can be accepted:
1 source files, consisting of a combined device value and CIE and/or spectral values.
2 source files, consisting of a file containing the device values, and a file containing the CIE and/or spectral values.
2 source files, consisting of a file containing the device values and the CIE values, and a file containing the spectral values.
3 source files, consisting of a file containing the device values, a file containing the CIE values, and a file containing the spectral values.
X-Rite ColorPort seems to produce a single source file containing combined device value and CIE and/or spectral values.
The Gretag/Logo test chart results format seem to change with each minor release of Profile Maker, so this utility may not work in all cases.
The outbasefile is the base of the output file(s), to which logo2cgats will automatically append a .ti3 and .ti2 extension.